Skip to main content
GET
/
api
/
v1
/
appointments
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "9a0f170e-0aa0-47db-ab14-4ddcdcbad061",
      "reference": 123456789,
      "appointment_at": "2021-01-01T00:00:00.000Z",
      "duration_in_minutes": 60,
      "is_interpreter_needed": true,
      "interpreter_language": "English",
      "status": "scheduled",
      "url": "https://example.com/appointments/123456789",
      "created_at": "2021-01-01T00:00:00.000Z",
      "cancelled_at": "2021-01-01T00:00:00.000Z",
      "cancellation_reason": "The appointment was cancelled because...",
      "department": {
        "id": 1,
        "name": "Department"
      },
      "claimant": {
        "name": "<string>",
        "phone_number": "<string>",
        "email": "<string>",
        "date_of_birth": "2023-12-25",
        "data": [
          {
            "id": "<string>",
            "value": "<string>",
            "name": "<string>",
            "type": "<string>",
            "required": true
          }
        ]
      },
      "meeting": {
        "id": 1234567890,
        "room_name": "Waiting Area 1",
        "room_url": "https://meet.jit.si/WaitingArea1",
        "start_date": "2021-01-30T08:30:00Z",
        "end_date": "2021-01-30T09:30:00Z"
      },
      "session_started_at": "2021-01-01T00:00:00.000Z",
      "session_ended_at": "2021-01-01T00:00:00.000Z",
      "features_call_recording_enable": true,
      "features_breakout_room_enable": true,
      "features_webcam_access_agent_enable": true,
      "features_webcam_access_claimant_enable": true,
      "features_webcam_background_blurring_enable": true,
      "features_microphone_access_enable": true,
      "features_screen_sharing_enable": true,
      "features_messages_chat_enable": true,
      "features_participant_list_enable": true,
      "features_bandwidth": "high",
      "use_custom_post_call_redirect": true,
      "custom_user_post_call_redirect_url": "https://example.com/custom-post-call-redirect",
      "custom_agent_post_call_redirect_url": "https://example.com/custom-agent-post-call-redirect"
    }
  ],
  "meta": {
    "current_page": 123,
    "from": 123,
    "last_page": 123,
    "links": [
      {
        "label": "<string>",
        "active": true,
        "url": "https://dev.sqod.uk/path?page=1"
      }
    ],
    "path": "https://dev.sqod.uk/path?page=1",
    "per_page": 123,
    "to": 123,
    "total": 123
  },
  "links": {
    "first": "https://dev.sqod.uk/path?page=1",
    "last": "https://dev.sqod.uk/path?page=1",
    "prev": "https://dev.sqod.uk/path?page=1",
    "next": "https://dev.sqod.uk/path?page=1"
  }
}

Authorizations

Authorization
string
header
required

Provide a Bearer Token

Query Parameters

start_at
string<date-time>

The start datetime to filter appointment date

Example:

"2021-01-01T00:00:00.000Z"

end_at
string<date-time>

The end datetime to filter appointment date (required with start_at)

Example:

"2021-01-01T00:00:00.000Z"

per_page
integer
default:10

Number of items per page

Required range: x >= 1
Example:

10

Response

200 - application/json

A paginated list of appointments.

data
Appointment · object[]
required
meta
Pagination Meta · object
required